<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: forum_attachments.php
| Author: Smokeman
| Web: http://www.phpfusion-tips.dk/
| Email: smokeman@esenet.dk
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/header.php";
include INFUSIONS."forum_attachments_list/infusion_db.php";

if (file_exists(INFUSIONS."forum_attachments_list/locale/".$settings['locale'].".php")) {
	include INFUSIONS."forum_attachments_list/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."forum_attachments_list/locale/English.php";
}

add_to_title($locale['global_200'].$locale['foat000']);

opentable($locale['foat000']);

	$result2 = dbquery("SELECT foat_id, foat_access FROM ".DB_FOAT." WHERE foat_id='1'");
	$data2 = dbarray($result2);
	$access = $data2['foat_access'];
	
  if (checkgroup($access)) { 
	if (!isset($_GET['sortby']) || !preg_match("/^[0-9A-Z]$/", $_GET['sortby'])) { $_GET['sortby'] = "all"; }
	$orderby = ($_GET['sortby'] == "all" ? "" : " WHERE attach_name LIKE '".stripinput($_GET['sortby'])."%'");
	$result = dbquery("SELECT * FROM ".DB_FORUM_ATTACHMENTS.$orderby."");
	$rows = dbrows($result);

	if (!isset($_GET['rowstart']) || !isnum($_GET['rowstart'])) { $_GET['rowstart'] = 0; }
	if ($rows) {
		$i = 0;
		echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
		echo "<td class='tbl1' align='center' colspan='4'>".$locale['foat008']."<b>".dbcount('(*)', DB_FORUM_ATTACHMENTS, '')."</b>".$locale['foat009']."</td>\n";
		echo "</tr>\n<tr>\n";
		echo "<td class='tbl2' width='25%'><b>".$locale['foat001']."</b></td>\n";
		echo "<td class='tbl2' width='25%'><b>".$locale['foat002']."</b></td>\n";
		echo "<td class='tbl2' width='25%'><b>".$locale['foat003']."</b></td>\n";
		echo "<td class='tbl2' width='25%'><b>".$locale['foat004']."</b></td>\n";
		echo "</tr>\n";
		$result = dbquery("SELECT * FROM ".DB_FORUM_ATTACHMENTS.$orderby." ORDER BY attach_name ASC LIMIT ".$_GET['rowstart'].",20");
		while ($data = dbarray($result)) {
			$cell_color = ($i % 2 == 0 ? "tbl1" : "tbl2"); $i++;
			echo "<tr>\n<td class='$cell_color'>\n<a href='".FORUM."viewthread.php?thread_id=".$data['thread_id']."&amp;getfile=".$data['post_id']."' title='".$data['attach_name']."'>".$data['attach_name']."</a></td>\n";
			echo "<td class='$cell_color'>\n<a href='".FORUM."viewthread.php?thread_id=".$data['thread_id']."#post_".$data['post_id']."' title='".$locale['foat005']."'>".$locale['foat005']."</a></td>\n";
			echo "<td class='$cell_color'>\n".$data['attach_ext']."</td>\n";
			echo "<td class='$cell_color'>\n".$data['attach_size']."</td>\n";
			echo "</tr>";
		}
		echo "</table>\n"; 
	} else {
		echo "<center><br />\n".$locale['foat006']."<b>".$_GET['sortby']."</b><br /><br />\n</center>\n";
	}
	$search = array(
		"A","B","C","D","E","F","G","H","I","J","K","L","M","N","O","P","Q","R",
		"S","T","U","V","W","X","Y","Z","0","1","2","3","4","5","6","7","8","9"
	);
	echo "<hr />\n<table cellpadding='0' cellspacing='1' class='tbl-border center'>\n<tr>\n";
	echo "<td rowspan='2' class='tbl2'><a href='".FUSION_SELF."?sortby=all'>".$locale['foat007']."</a></td>";
	for ($i = 0; $i < 36 != ""; $i++) {
		echo "<td align='center' class='tbl1'><div class='small'><a href='".FUSION_SELF."?sortby=".$search[$i]."'>".$search[$i]."</a></div></td>";
		echo ($i == 17 ? "<td rowspan='2' class='tbl2'><a href='".FUSION_SELF."?sortby=all'>".$locale['foat007']."</a></td>\n</tr>\n<tr>\n" : "\n");
	}
	echo "</tr>\n</table>\n";
} else {
	echo "<div style='text-align:center;'><b>".$locale['foat014']."</b><br /><img src='".INFUSIONS."forum_attachments_list/images/restricted.gif' alt='' /><br />".$locale['foat016']."&nbsp;".$access."</div>\n";
	echo "<div>".$locale['foat017']."</div>\n";
}
closetable();
if ($rows > 20) { echo "<div style='text-align:center;' style='margin-top:5px;'>".makepagenav($_GET['rowstart'], 20, $rows, 3, FUSION_SELF."?sortby=".$_GET['sortby']."&amp;")."</div>\n"; }

require_once THEMES."templates/footer.php";
?>