<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Name: infusion.php
| Author : Smokeman
| Email: smokeman@esenet.dk
| Web: http://www.phpfusion-tips.dk/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."forum_attachments_list/infusion_db.php";

if (file_exists(INFUSIONS."forum_attachments_list/locale/".$settings['locale'].".php")) {
	include INFUSIONS."forum_attachments_list/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."forum_attachments_list/locale/English.php";
}

$inf_title = $locale['foat000'];
$inf_description = $locale['foat010'];
$inf_version = "1.0";
$inf_developer = "Smokeman";
$inf_email = "smokeman@esenet.dk";
$inf_weburl = "http://www.phpfusion-tips.dk";

$inf_folder = "forum_attachments_list";

$inf_newtable[1] = DB_FOAT." (
foat_id VARCHAR(3) NOT NULL DEFAULT '1',
foat_access VARCHAR(3) NOT NULL DEFAULT '0',
PRIMARY KEY (foat_id)
) TYPE=MyISAM;";

$inf_insertdbrow[1] = DB_FOAT." (foat_id, foat_access) VALUES ('1', '0')";

$inf_droptable[1] = DB_FOAT;
$inf_altertable[1] = DB_FOAT." ADD etc";

$inf_adminpanel[1] = array(
	"title" => $locale['foat000'],
	"image" => "",
	"panel" => "forum_attachments_list_admin.php",
	"rights" => "FAL"
);

$inf_sitelink[1] = array(
	"title" => $locale['foat000'],
	"url" => "forum_attachments_list.php",
	"visibility" => "0"
);

?>